aboutsummaryrefslogtreecommitdiff
path: root/share
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2017-04-22 09:25:13 -0300
committerSilvio Rhatto <rhatto@riseup.net>2017-04-22 09:25:13 -0300
commitff1adf417e29639d8b814db2fad6dae54d8d056e (patch)
treef3e9df63f2c899635f47dc16e1fd34559c7d57f3 /share
parent4f6b37431e9fc86d03e2805e6ded3ee18f35f13b (diff)
downloadhydra-ff1adf417e29639d8b814db2fad6dae54d8d056e.tar.gz
hydra-ff1adf417e29639d8b814db2fad6dae54d8d056e.tar.bz2
Adds hydractl cryptdisks
Diffstat (limited to 'share')
-rwxr-xr-xshare/hydractl/cryptdisks40
1 files changed, 40 insertions, 0 deletions
diff --git a/share/hydractl/cryptdisks b/share/hydractl/cryptdisks
new file mode 100755
index 0000000..e8eddab
--- /dev/null
+++ b/share/hydractl/cryptdisks
@@ -0,0 +1,40 @@
+#!/bin/bash
+#
+# Run a system upgrade.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public
+# License along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+# Parameters
+ACTION="$1"
+BASENAME="`basename $0`"
+
+# Set sudo config
+if [ "`whoami`" != 'root' ]; then
+ sudo="sudo"
+fi
+
+# Syntax
+if [ -z "$ACTION" ]; then
+ echo "usage: $BASENAME <start|stop>"
+ exit 1
+elif [ "$ACTION" != "start" ] && [ "$ACTION" != "stop" ]; then
+ echo "options must be either 'start' or 'stop'"
+ exit 1
+fi
+
+# Iterate
+grep -v '#' /etc/crypttab | awk '{ print $1 }' | while read volume; do
+ $sudo cryptdisks_${ACTION} $volume
+done